---
"@context": https://schema.org
"@type": TechArticle
"@id": https://www.twilio.com/docs/api/intelligence/rule-executions#article
headline: Rule Executions endpoints
description: Overview of Intelligence API (v3) - Rule Executions endpoints
url: https://www.twilio.com/docs/api/intelligence/rule-executions
inLanguage: en
author:
  "@type": Organization
  name: Twilio Developer Education Team
publisher:
  "@type": Organization
  name: Twilio
---

# Rule Executions endpoints

> \[!NOTE]
>
> Conversation Intelligence, including the APIs, may use artificial intelligence or machine learning technologies and is subject to the terms of the [Predictive and Generative AI/ML Features Addendum](https://www.twilio.com/en-us/legal/ai-terms/predictive-generative-ai-features). For more details on AI usage and data, see [AI Nutrition Facts for Conversation Intelligence](/docs/conversations/intelligence/ai-nutrition-facts).
>
> Conversation Intelligence is not PCI compliant or a HIPAA Eligible Service and should not be used in workflows that are subject to HIPAA or PCI.
>
> Conversations products are only available in the [new Twilio Console](https://1console.twilio.com). If your account hasn't been migrated, you'll be redirected to the legacy Console where these products won't appear.

## Overview

Manual execution of rules on a conversation.

## Endpoints

* [`POST /v3/RuleExecutions`](/docs/api/intelligence/rule-executions/create-rule-execution) - On-demand Rule execution
